/*!
 * @file Building.h
 * @brief 施設のプロトタイプ宣言
 * @date 2014/02/01
 * @author Deskull
 * 2014 Sikabane Works.
 */

#pragma once

#include "stdafx.h"
#include "CreatureTemplate.h"

/*! 
 * @class Building
 * @brief 施設のクラス
 */
class Building : public GameElement
{
private:
public:

	/*! 
	 * @brief Buildingクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	Building::Building(ID id, TAG tag, GameWorld *gameWorld);

	Building::Building(void);

	Building::~Building(void);

};
